Package Scientific :: Package Visualization :: Module VMD :: Class Molecules

[frames] | no frames]

# Class Molecules

    VMDObject --+
                |
               Molecules

Molecules from a PDB file

Instance Methods

__init__(self, object, **attr) |

writeToFile(self, file) |

Inherited from `VMDObject`: `__copy__`, `__getitem__`, `__setitem__`

Class Variables
Inherited from `VMDObject`: `attribute_names`

Method Details

### __init__(self, object, **attr)
(Constructor)

Parameters:
  - `object` (`str` or MMTK.ChemicalObject) - the name of a PDB file or an MMTK object
  - `attr` - keyword attributes
Overrides: VMDObject.__init__

### writeToFile(self, file)

Overrides: VMDObject.writeToFile